Skip to content

NonRegCc⁠

Perform various operations for Symitar parameters.

Operations⁠

getNonRegCc⁠

POST

Retrieve non-regulatory credit card information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getNonRegCc
POST /nexum/627/2022.01/parameter/getNonRegCc HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getNonRegCcSelectFields⁠

POST

Retrieve non-regulatory credit card select fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getNonRegCcSelectFields
POST /nexum/627/2022.01/parameter/getNonRegCcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllNonRegCcFields": true,
    "NonRegCcFields": {
      "AggregateException": true,
      "ExceptionHoldDays": true,
      "ExceptionWarnings": true,
      "HoldDays": true,
      "HoldOvrWarnings": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateNonRegCcByID⁠

POST

Update non-registered credit cards by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateNonRegCcByID
POST /nexum/627/2022.01/parameter/updateNonRegCcByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NonRegCcUpdatableFields": {
    "AggregateException": 0,
    "ExceptionHoldDays": 0,
    "ExceptionWarnings": "string",
    "HoldDays": 0,
    "HoldOvrWarnings": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}